> For the complete documentation index, see [llms.txt](https://docs.konnekt.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.konnekt.io/fr/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md).

# Bibliothèques par défaut vides - erreur 404

## Problème

Toutes les bibliothèques de documents dans KONNEKT et les lecteurs mappés sont vides.

## Arrière-plan

Il y a des anomalies dans certains centres de données hébergeant SharePoint Online sur le site de Microsoft. KONNEKT utilise Microsoft GraphAPI pour accéder à toutes les informations liées aux bibliothèques de documents et à leur contenu.

En particulier, la requête pour obtenir la bibliothèque de documents par défaut d'une collection de sites ([Obtenir le lecteur](https://learn.microsoft.com/en-us/graph/api/drive-get)). Les journaux de KONNEKT devraient contenir des entrées si les opérations sur la bibliothèque par défaut échouent :

```
[2025-05-07 11:31:28.957] [30304] [error] [RESTkitClient] Http request (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    erreur : Élément introuvable : La ressource est introuvable.(404)
   "{"error":{"code":"itemNotFound","message":"La ressource est introuvable.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}"
    En-tête de réponse :
Cache-Control: no-store, no-cache
client-request-id: 17a44641-4204-4811-b176-58a379125b5d
Content-Type: application/json
Date: Wed, 07 May 2025 09:31:27 GMT
request-id: 17a44641-4204-4811-b176-58a379125b5d
Strict-Transport-Security: max-age=31536000
Transfer-Encoding: chunked
x-ms-ags-diagnostic: {"ServerInfo":{"DataCenter":"France Central","Slice":"E","Ring":"5","ScaleUnit":"004","RoleInstance":"PA2PEPF00011C65"}}
    Réponse :
{"error":{"code":"itemNotFound","message":"La ressource est introuvable.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}
```

ou

```
[2025-05-09 08:43:36.353] [23796] [error] [RESTkitClient] Http request (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    erreur : Élément introuvable : La ressource est introuvable.(404)
   "{"error":{"code":"itemNotFound","message":"La ressource est introuvable.","innerError":{"date":"2025-05-09T06:43:36","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}"
```

Pour enquêter, utilisez GraphExplorer pour vérifier la requête GET pour cette bibliothèque de documents :

<https://developer.microsoft.com/en-us/graph/graph-explorer>

## Solutions de contournement

1\) Activez le paramètre "[Ajouter toutes les bibliothèques de documents SharePoint](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

Si ce paramètre est activé, KONNEKT utilisera la [Lister les lecteurs](https://learn.microsoft.com/en-us/graph/api/drive-list?view=graph-rest-1.0\&tabs=http) requête pour récupérer toutes les bibliothèques de documents des collections de sites.

{% hint style="info" %}
Veuillez noter que l'activation de ce paramètre rompra les liens de fichiers existants.
{% endhint %}

2\) Utilisez "[Mappages gérés](/fr/configuration/mappings/managed-mappings.md)" pour mapper les bibliothèques de documents importantes et désactiver le paramètre "[Découverte automatique des sites SharePoint](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

## Problème GitHub

<https://github.com/SharePoint/sp-dev-docs/issues/10241>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.konnekt.io/fr/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
